SDL_SetWindowMaximumSize(3)

NAME
SDL_SetWindowMaximumSize - Set the maximum size of a window's client area.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetWindowMaximumSize(SDL_Window *window, int max_w, int max_h);

FUNCTION PARAMETERS

window
    the window to change

max_w
    the maximum width of the window, or 0 for no limit

max_h
    the maximum height of the window, or 0 for no limit

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetWindowMaximumSize(3), SDL_SetWindowMinimumSize(3)